sequence.h File Reference

Support for temporary lightweight sequences. More...

`#include <iostream>`
`#include "regina-core.h"`

## Classes

class | regina::LightweightSequence< T >
| A lightweight class for storing a random-access sequence of objects. More...
struct | regina::LightweightSequence< T >::Less
| A binary function object that compares sequences lexicographically, for use in containers that hold pointers to sequences. More...
class | regina::LightweightSequence< T >::SubsequenceCompareFirstPtr< Iterator >
| A binary function object for comparing subsequences, for use in associative containers whose keys are pointers to sequences. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

template<typename T >
std::ostream & | regina::operator<< (std::ostream &out, const LightweightSequence< T > &s)
| Writes the given sequence to the given output stream. More...

## Detailed Description

Support for temporary lightweight sequences.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).